// Craig S. Kaplan
// 
// Show how you can actually visualize tabular data in the style
// of a spreadsheet by iterating over all the cells and drawing
// text to the sketch window in a grid.

void setup()
{
  size( 1000, 800 );
  background( 0 );
  fill( 255 );
  textSize( 24 );
  
  Table tab = loadTable(
    "haireyecolour.csv", "header" );
  
  for( int idx = 0; idx < tab.getRowCount(); ++idx ) {
    for( int jdx = 0; jdx < tab.getColumnCount(); ++jdx ) {
      String cell = tab.getString( idx, jdx );
      
      text( cell, 10 + jdx * 150, 10 + (idx + 1) * 40 + 24 );
    }
  }
  
  // Draw the header row.
  rect( 0, 0, width, 40 );
  fill( 0 );
  
  for( int jdx = 0; jdx < tab.getColumnCount(); ++jdx ) {
    String field_name = tab.getColumnTitle( jdx );
    text( field_name, 10 + jdx * 150, 10  + 24 );
  }
}